Mercury API
ReadTagMemBytes Method (target, bank, byteAddress, byteCount)
Namespaces ► ThingMagic ► SerialReader ► ReadTagMemBytes(TagFilter, Int32, Int32, Int32)
Read data from the memory bank of a tag.
Declaration Syntax

C# | Visual Basic | Visual C++

    public override byte[] ReadTagMemBytes(
    	TagFilter target,
    	int bank,
    	int byteAddress,
    	int byteCount
    )

    Public Overrides Function ReadTagMemBytes ( _
    	target As TagFilter, _
    	bank As Integer, _
    	byteAddress As Integer, _
    	byteCount As Integer _
    ) As Byte()

    public:
    virtual array<unsigned char>^ ReadTagMemBytes(
    	TagFilter^ target,
    	int bank,
    	int byteAddress,
    	int byteCount
    ) override

Parameters

target (TagFilter)
  the tag to read from, or null

bank (Int32)
  the tag memory bank to read from

byteAddress (Int32)
  the byte address to start reading at

byteCount (Int32)
  the number of bytes to read

Return Value
the bytes read

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)